import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.Locale;

public class Task {
    public static final double PI = Math.PI;

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));

        String[] enter = reader.readLine().split(" ");
        int taskNum = Integer.parseInt(enter[0]);
        int baseTime = Integer.parseInt(enter[1]);

        ArrayList<T> tasks = new ArrayList<>(taskNum);
        for (int i = 0; i < taskNum; i++) {
            enter = reader.readLine().split(" ");
            tasks.add(new T(Integer.parseInt(enter[0]), Integer.parseInt(enter[1])));
        }

        tasks.sort(new Comparator<T>() {
            public int compare(T o1, T o2) {
                int comparingRes = Double.compare(o1.getValue(), o2.getValue());
                if(comparingRes ==0) {
                    comparingRes = Double.compare(o2.time, o1.time);
                }
                return comparingRes;
            }
        });

        int spendedTime = 0;
        int gettedPoints = 0;
        for (T task : tasks) {
            if(spendedTime+task.time>baseTime) {
                //ignore
            } else {
                spendedTime+=task.time;
                gettedPoints += task.points;
            }
        }

        System.out.println(gettedPoints);
    }

    private static class T {
        public T(int time, int points) {
            this.time = time;
            this.points = points;
        }

        int time, points;

        public double getValue() {
            return ((double) points) / time;
        }
    }
}