import java.io.*;
import java.util.Arrays;
import java.util.Locale;
import java.util.StringTokenizer;

public class C {
    String fileName = "<name>";

    public int n;
    public int[] time, cost;

    public static class Pair implements Comparable<Pair> {
        public double t, p;

        public Pair(double t, double p) {
            this.t = t;
            this.p = p;
        }

        @Override
        public int compareTo(Pair o) {
            return Double.compare(p / t, o.p / o.t);
        }
    }

    public void solve() throws IOException {
        n = nextInt();
        int t = nextInt();
        Pair[] p = new Pair[n];
        for (int i = 0; i < n; i++) {
            p[i] = new Pair(nextInt(), nextInt());
        }
        Arrays.sort(p);
        int time = 0;
        int ans = 0;
        for (int i = 0; i < n; i++) {
            if (time + p[i].t <= t) {
                time += p[i].t;
                ans+=p[i].p;
            }
        }
        out.println(ans);
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new C().run();
    }

}
